### org.jfree.layouting.layouter.context

# Interface LayoutContext

All Superinterfaces:
  LayoutStyle

Known Implementing Classes:
  DefaultLayoutContext

`public interface LayoutContext`
`extends LayoutStyle`

This is where the computed style goes into. // todo: Produce the computed counterset!

Author:
  Thomas Morgner

  ## Method Summary

  `LayoutContext`

  `derive()`

  `LayoutContext`

  `detach(Map counters, Map strings)`

  `void`

  `dispose()`

  `AttributeMap`

  `getAttributes()`
    May never be null.

  `BackgroundSpecification`

  `getBackgroundSpecification()`

  `ContentSpecification`

  `getContentSpecification()`

  `ContextId`

  `getContextId()`

  `Map`

  `getCounters()`

  `FontSpecification`

  `getFontSpecification()`

  `Locale`

  `getLanguage()`
    Returns the language definition of this layout context.

  `ListSpecification`

  `getListSpecification()`

  `String`

  `getNamespace()`
    May be null.

  `String`

  `getPseudoElement()`
    An element can be exactly one pseudo-element type.

  `Map`

  `getStrings()`

  `String`

  `getTagName()`
    May be null.

  `boolean`

  `isPseudoElement()`

  ### Methods inherited from interface org.jfree.layouting.layouter.context.LayoutStyle

  `copyFrom`, `getValue`, `setValue`

## Method Details

### derive

    public LayoutContext derive()

### detach

    public LayoutContext detach(Map counters,
                                Map strings)

### dispose

    public void dispose()

### getAttributes

    public AttributeMap getAttributes()

> May never be null.
> Returns:

### getBackgroundSpecification

    public BackgroundSpecification getBackgroundSpecification()

### getContentSpecification

    public ContentSpecification getContentSpecification()

### getContextId

    public ContextId getContextId()

### getCounters

    public Map getCounters()

### getFontSpecification

    public FontSpecification getFontSpecification()

### getLanguage

    public Locale getLanguage()

> Returns the language definition of this layout context. If not set, it defaults to the parent's language. If the root's language is also not defined, then use the system default.
> Returns:
>   the defined language, never null.

### getListSpecification

    public ListSpecification getListSpecification()

### getNamespace

    public String getNamespace()

> May be null.
> Returns:

### getPseudoElement

    public String getPseudoElement()

> An element can be exactly one pseudo-element type. It is not possible for an element to fullfill two roles, an element is either a 'before' or a 'marker', but can as well be a 'before' of an 'marker' (where the marker element would be the parent).
> Returns:

### getStrings

    public Map getStrings()

### getTagName

    public String getTagName()

> May be null.
> Returns:

### isPseudoElement

    public boolean isPseudoElement()